#include <stdio.h>
#include "../winuser.h"
int _CRcombo(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _ADDcombo(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DELcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETcomboCount(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _RSTcombo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETcombo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SSELcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _PAINTcombo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DScombo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETcomboSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZEcombo(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SDELcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SELcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _POScombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CBcombo(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETcomboPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONcombo(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SHOWcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _ENcombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NboxPKG 19
char* boxname[NboxPKG]=
{"_CRcombo","_ADDcombo","_DELcombo","_GETcomboCount","_RSTcombo","_GETcombo","_SSELcombo","_PAINTcombo","_DScombo","_GETcomboSizePosition","_SIZEcombo","_SDELcombo","_SELcombo","_POScombo","_CBcombo","_GETcomboPositionSize","_POSITIONcombo","_SHOWcombo","_ENcombo"};
int (*boxfun[NboxPKG])(mmachine m)=
{_CRcombo,_ADDcombo,_DELcombo,_GETcomboCount,_RSTcombo,_GETcombo,_SSELcombo,_PAINTcombo,_DScombo,_GETcomboSizePosition,_SIZEcombo,_SDELcombo,_SELcombo,_POScombo,_CBcombo,_GETcomboPositionSize,_POSITIONcombo,_SHOWcombo,_ENcombo};
int boxnarg[NboxPKG]=
{8,3,2,1,1,1,2,1,1,1,5,2,2,2,3,1,5,2,2};
char* boxtype[NboxPKG]=
{"fun [Chn ObjWin I I I I I S] ObjBox","fun [ObjBox I S] ObjBox","fun [ObjBox I] ObjBox","fun [ObjBox] I","fun [ObjBox] ObjBox","fun [ObjBox] [I S]","fun [ObjBox S] ObjBox","fun [ObjBox] ObjBox","fun [ObjBox] I","fun [ObjBox] [I I I I]","fun [ObjBox I I I I] ObjBox","fun [ObjBox S] ObjBox","fun [ObjBox I] ObjBox","fun [ObjBox S] I","fun [ObjBox fun [ObjBox u0 I S] u1 u0] ObjBox","fun [ObjBox] [I I I I]","fun [ObjBox I I I I] ObjBox","fun [ObjBox I] ObjBox","fun [ObjBox I] ObjBox"};
int SCOLloadbox(mmachine m)
{
return PKhardpak(m,"box.pkg",NboxPKG,boxname,boxfun,boxnarg,boxtype);
}
